Bug 142159 - New port: comms/uhso-kmod - Driver for Option HSDPA modem (USB2 version)
Summary: New port: comms/uhso-kmod - Driver for Option HSDPA modem (USB2 version)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-30 07:30 UTC by ganael.laplanche
Modified: 2010-02-07 15:30 UTC (History)
0 users

See Also:


Attachments
file.shar (6.14 KB, text/plain)
2009-12-30 07:30 UTC, ganael.laplanche
no flags Details
patch-uhso.txt (831 bytes, patch)
2010-01-15 08:00 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2009-12-30 07:30:02 UTC
This new port is a 'new USB stack' compliant version of the comms/hso-kmod port, designed to be used on FreeBSD > 800063.

Fix: Patch attached with submission follows:
Comment 1 ganael.laplanche 2010-01-15 08:00:42 UTC
Hi,

Please also add the attached patch.

Thanks !

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 2 pav freebsd_committer 2010-02-07 15:16:19 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 3 dfilter freebsd_committer 2010-02-07 15:21:08 UTC
pav         2010-02-07 15:20:54 UTC

  FreeBSD ports repository

  Modified files:
    comms                Makefile 
  Added files:
    comms/uhso-kmod      Makefile distinfo pkg-descr pkg-plist 
    comms/uhso-kmod/files UHSO-DEBUG-patch-Makefile 
                          UHSOCTL-DEBUG-patch-Makefile 
                          UHSOCTL-NODEBUG-patch-Makefile 
                          pkg-message.in 
  Log:
  FreeBSD driver for newer Option HSDPA USB dongles.
  
  The driver have been tested with the following devices
  
    * Option GlobeSurfer iCON 7.2 (2.4.6Hd firmware)
    * Option GlobeSurfer iCON 225
    * Option iCON 505
  
  Older cards should work just fine with ubsa(4) or any similar
  USB-over-serial driver.
  
  Note that this driver should be considered beta and will
  work with FreeBSD 8.0 (with USB2) or superior only.
  Please use comms/hso-kmod for previous versions of FreeBSD.
  
  WWW: http://www.shapeshifter.se/code/hso/
  
  PR:             ports/142159
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  
  Revision  Changes    Path
  1.214     +1 -0      ports/comms/Makefile
  1.1       +77 -0     ports/comms/uhso-kmod/Makefile (new)
  1.1       +6 -0      ports/comms/uhso-kmod/distinfo (new)
  1.1       +11 -0     ports/comms/uhso-kmod/files/UHSO-DEBUG-patch-Makefile (new)
  1.1       +11 -0     ports/comms/uhso-kmod/files/UHSOCTL-DEBUG-patch-Makefile (new)
  1.1       +10 -0     ports/comms/uhso-kmod/files/UHSOCTL-NODEBUG-patch-Makefile (new)
  1.1       +17 -0     ports/comms/uhso-kmod/files/pkg-message.in (new)
  1.1       +16 -0     ports/comms/uhso-kmod/pkg-descr (new)
  1.1       +5 -0      ports/comms/uhso-kmod/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"